import _pt from "prop-types";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { forwardRef } from "react";
import { Grid, GridCell, GridContainer } from "../Grid/grid";
export var LayoutGridContainer = forwardRef(function (props, ref) {
  // @ts-ignore Layout is an internal prop to avoid code duplication for LayoutGrid
  return React.createElement(GridContainer, _extends({
    layout: true,
    ref: ref
  }, props));
});
LayoutGridContainer.propTypes = {
  children: _pt.any,
  className: _pt.string,
  ref: _pt.oneOfType([_pt.string, _pt.func, _pt.object]),
  tag: _pt.any
};
LayoutGridContainer.displayName = "LayoutGridContainer";
export var LayoutGrid = forwardRef(function (props, ref) {
  // @ts-ignore Layout is an internal prop to avoid code duplication for LayoutGrid
  return React.createElement(Grid, _extends({
    layout: true,
    ref: ref
  }, props));
});
LayoutGrid.propTypes = {
  children: _pt.any,
  className: _pt.string,
  ref: _pt.oneOfType([_pt.string, _pt.func, _pt.object]),
  tag: _pt.any
};
LayoutGrid.displayName = "LayoutGrid";
export var LayoutGridCell = forwardRef(function (props, ref) {
  // @ts-ignore Layout is an internal prop to avoid code duplication for LayoutGrid
  return React.createElement(GridCell, _extends({
    layout: true,
    ref: ref
  }, props));
});
LayoutGridCell.propTypes = {
  children: _pt.any,
  className: _pt.string,
  large: _pt.number,
  medium: _pt.number,
  ref: _pt.oneOfType([_pt.string, _pt.func, _pt.object]),
  small: _pt.number,
  tag: _pt.any
};
LayoutGridCell.displayName = "LayoutGridCell";